Retrieve the scenarios for a product

Mirrors RateReadApi::scenariosForProduct — returns the scenarios to run for the product’s calculation/illustration type

get
https://dev.api.zinnia.io/rate-configuration/v1/scenariosForProduct/carriers/{carrierId}/products/{productId}

Query Parameters

calculationTypestring

The calculation type identifier

Example:SINGLE_ILLUSTRATION

illustrationTypestring

The illustration type identifier

Example:NEW_BUSINESS

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:FNWL

productIdstringrequired

The Product ID

Example:IU0101

Response

application/json

OK

ScenariosToRunItem

The scenarios to run for a product’s calculation/illustration type, and the illustration duration.

* Additional properties are NOT allowed.
scenarioListarray[object]required

One scenario to run, mirroring a ScenarioObject entry from ScenarioMapping.json.

* Additional properties are NOT allowed.
Show Child Parameters
durationinteger(int32)required
get/rate-configuration/v1/scenariosForProduct/carriers/{carrierId}/products/{productId}
 
application/json

Utility

Utility operations

Retrieve version information

Returns the version information for the Rate Configuration service.

get
https://dev.api.zinnia.io/rate-configuration/v1/utility/version

Response

200

OK

get/rate-configuration/v1/utility/version
 
200

CarrierSourceEntry

object

One entry of carrierSource.json, keyed by carrier ID (e.g. “GILI”).

* Additional properties are NOT allowed.
sourcestringrequired
Example

NewProductConfigurationVersion

object

Notification that a new product or product configuration version is available.

* Additional properties are NOT allowed.
carrierIdstringrequired

CarrierId of the planCode that has a new configuration version.

planCodestringrequired

PlanCode that has a new configuration version. If this is a new planCode, latest configuration version tracking will begin for it.

newLatestConfigurationVersionstringrequired

The new latest configuration version for this planCode

Example